Post by Qphoria » Tue Dec 01, 2009 5:10 am

I've created another installment of Easy Upgrade for 1.3.2 to 1.3.4
I've used it on 2 different sites with no problems so I think it should be good for others.

Ignore the upgrade steps that come with OpenCart. Instead read my steps and you should have no problems upgrading to the latest.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by ScottBohler » Thu Dec 03, 2009 6:23 am

Thank you Qphoria. I followed you instructions and they seemed to work just fine. Thanks for helping this community. ;D

Got a couple of quirks with 1.3.4, but I'll post those separately.

- Scott


User avatar
New member

Posts

Joined
Wed Aug 26, 2009 1:45 am

Post by zone97 » Thu Dec 03, 2009 6:27 am

Great work, however had my hopes this was a turn key. This is just to modify your database over to 1.3.4. Man it would be great if someone wrote code to convert your old cart over to the new including any mods and especially your template. :)

Image
Custom t-shirts, mugs and more!


New member

Posts

Joined
Fri Oct 30, 2009 1:15 am


Post by hubba » Wed Dec 16, 2009 6:33 pm

Hello Q,

I followed the installation instructions and everything worked like a charm.

but when I am testing the cart, I encounter the following error at check out.

Fatal error: Call to undefined method HelperTax::setZone() in /public_html/catalog/controller/checkout/shipping.php on line 42

Can I reapply the instructions you have given from the beginning again?

PS: I did not do any function changes or whatsoever.. the most is only CSS changes.

my website is at http://www.spicytapas.com .

New member

Posts

Joined
Mon Sep 07, 2009 1:13 am

Post by Qphoria » Wed Dec 16, 2009 8:39 pm

Looks like you didn't upload that file from the new files. HelperTax was an old file. The new shipping.php file would not have reference to that.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by hubba » Wed Dec 16, 2009 8:53 pm

Qphoria wrote:Looks like you didn't upload that file from the new files. HelperTax was an old file. The new shipping.php file would not have reference to that.
What a timely help! I reloaded the file and it work. I love you Q!!!!

New member

Posts

Joined
Mon Sep 07, 2009 1:13 am

Post by paulsvang » Wed Dec 30, 2009 6:17 am

my customized template from 1.3.2 would have to be redone using the 1.3.4 default template. It seems my old one is not working.

Opencart User


Active Member

Posts

Joined
Fri Aug 07, 2009 5:31 am


Post by Qphoria » Wed Dec 30, 2009 6:54 am

Correct. You cannot use old themes with new versions.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by paulsvang » Wed Dec 30, 2009 8:13 am

thanks Qhoria. I'll update the template.

Opencart User


Active Member

Posts

Joined
Fri Aug 07, 2009 5:31 am


Post by paulsvang » Wed Dec 30, 2009 8:16 am

it works!

Opencart User


Active Member

Posts

Joined
Fri Aug 07, 2009 5:31 am


Post by hubba » Sat Jan 16, 2010 6:15 pm

Hello guys

2 weeks after the upgrade from 1.3.2 to 1.3.4 , I noticed that I am not getting any paypal orders at all. When I do a test booking, I encounter an error on the paypal screen.

"Some required information is missing or incomplete. Please correct your entries and try again."

I could have missed out something here.. has anyone encounter this? if you do please share your solution..

New member

Posts

Joined
Mon Sep 07, 2009 1:13 am

Post by deeve » Fri Jan 22, 2010 3:57 am

Great stuff, Q - many thanks for this ;)

Active Member

Posts

Joined
Tue Oct 20, 2009 4:31 pm

Post by barells » Mon Feb 22, 2010 10:17 am

I followed the steps, and lost all my custom them templating. I guess this is expected, however, the admin page has lost the template theme so much that it is not functional.

I know the last step (step 6), says to change template back to "default"... Since, my admin page is totally not functional, how can I change this properly in the code?

Ultimately, I'm trying to get to 1.4.0.

Thank you,

Edit by i2Paq: With the release of OpenCart 1.4.7 there is an upgrade script that will upgrade from version 1.3.0.

New member

Posts

Joined
Sat Jun 27, 2009 5:09 am

Post by ptduc1988 » Fri Jul 23, 2010 10:29 am

I can't open file attachments because file rar error.Please upload again.Thanks^^

Newbie

Posts

Joined
Fri Jul 23, 2010 10:24 am
Who is online

Users browsing this forum: No registered users and 12 guests